FreeMat

- Main Page
- Related Pages

vtkCompositeRenderManager

Section: Visualization Toolkit Parallel Classes

# Usage

vtkCompositeRenderManager is a subclass of vtkParallelRenderManager that uses compositing to do parallel rendering. This class has replaced vtkCompositeManager.

To create an instance of class vtkCompositeRenderManager, simply invoke its constructor as follows

      obj = vtkCompositeRenderManager

# Methods

The class vtkCompositeRenderManager has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCompositeRenderManager class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCompositeRenderManager = obj.NewInstance ()`
- `vtkCompositeRenderManager = obj.SafeDownCast (vtkObject o)`
- `obj.SetCompositer (vtkCompositer c)` - Set/Get the composite algorithm.
- `vtkCompositer = obj.GetCompositer ()` - Set/Get the composite algorithm.
- `double = obj.GetImageProcessingTime ()` - Get rendering metrics.